%define oname   minitar

Name:       ruby-%{oname}
Version:    0.9
Release:    %mkrel 1
Summary:    Provides POSIX tarchive management from Ruby programs
Group:      Development/Ruby
License:    GPLv2+ or Ruby License
URL:        https://github.com/atoulme/minitar
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch
Obsoletes:  ruby-archive-tar-minitar < 0.5.3

%description
Archive::Tar::Minitar is a pure-Ruby library that provides the ability to deal
with POSIX tar(1) archive files.
The implementation is based heavily on Mauricio Ferna'ndez's implementation in
rpa-base, but has been reorganised to promote reuse in other projects.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README.rdoc
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install


%changelog
* Sat Mar 28 2020 pterjan <pterjan> 0.9-1.mga8
+ Revision: 1561769
- Update to 0.9

* Fri Feb 14 2020 umeabot <umeabot> 0.8-2.mga8
+ Revision: 1522474
- Mageia 8 Mass Rebuild

* Fri Jan 25 2019 pterjan <pterjan> 0.8-1.mga7
+ Revision: 1360770
- Update to 0.8

* Sun Nov 04 2018 pterjan <pterjan> 0.7-1.mga7
+ Revision: 1328182
- Update to 0.7

* Fri Sep 21 2018 umeabot <umeabot> 0.6.1-2.mga7
+ Revision: 1290993
- Mageia 7 Mass Rebuild

* Mon Apr 02 2018 pterjan <pterjan> 0.6.1-1.mga7
+ Revision: 1214651
- Update to 0.6.1

* Mon Feb 20 2017 ns80 <ns80> 0.5.4-3.mga6
+ Revision: 1087002
- replace deprecated require_gem by gem (mga#20317)

* Thu Feb 16 2017 ns80 <ns80> 0.5.4-2.mga6
+ Revision: 1086449
- add upstream patch for CVE-2016-10173 (mga#20207)

* Thu Dec 31 2015 pterjan <pterjan> 0.5.4-1.mga6
+ Revision: 917261
- Rename package to ruby-minitar
- Update to minitar 0.5.4

* Wed Oct 15 2014 umeabot <umeabot> 0.5.2-14.mga5
+ Revision: 740422
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.2-13.mga5
+ Revision: 688745
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.5.2-12.mga4
+ Revision: 562839
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 0.5.2-11.mga4
+ Revision: 561038
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.5.2-10.mga4
+ Revision: 535286
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.5.2-9.mga4
+ Revision: 481859
- Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 0.5.2-8.mga4
+ Revision: 476748
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 0.5.2-7.mga3
+ Revision: 395715
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-6.mga3
+ Revision: 380652
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 0.5.2-5.mga3
+ Revision: 312500
- add license field
- rebuild for new ruby

* Tue Jan 25 2011 shikamaru <shikamaru> 0.5.2-4.mga1
+ Revision: 39657
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 0.5.2-3.mga1
+ Revision: 35472
- imported package ruby-archive-tar-minitar

